{
  "_format": "hh-sol-artifact-1",
  "contractName": "IDodoexRouter",
  "sourceName": "contracts/bridge/trustless/interfaces/IDodoexRouter.sol",
  "abi": [
    {
      "inputs": [
        {
          "components": [
            {
              "internalType": "address",
              "name": "fromToken",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "toToken",
              "type": "address"
            },
            {
              "internalType": "uint256",
              "name": "fromTokenAmount",
              "type": "uint256"
            },
            {
              "internalType": "uint256",
              "name": "minReturnAmount",
              "type": "uint256"
            },
            {
              "internalType": "address[]",
              "name": "dodoPairs",
              "type": "address[]"
            },
            {
              "internalType": "uint256",
              "name": "directions",
              "type": "uint256"
            },
            {
              "internalType": "bool",
              "name": "isIncentive",
              "type": "bool"
            },
            {
              "internalType": "uint256",
              "name": "deadLine",
              "type": "uint256"
            }
          ],
          "internalType": "struct IDodoexRouter.DodoSwapParams",
          "name": "params",
          "type": "tuple"
        }
      ],
      "name": "dodoSwapV2TokenToToken",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "receivedAmount",
          "type": "uint256"
        }
      ],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "fromToken",
          "type": "address"
        },
        {
          "internalType": "address",
          "name": "toToken",
          "type": "address"
        },
        {
          "internalType": "uint256",
          "name": "fromTokenAmount",
          "type": "uint256"
        }
      ],
      "name": "getDodoSwapQuote",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "toTokenAmount",
          "type": "uint256"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    }
  ],
  "bytecode": "0x",
  "deployedBytecode": "0x",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
